#include<iostream.h>
int a[100][100],n,m;
int min=32000,max=-32000;
int sum=32000,juri;
int b[1000];

void minsum()
{for(int i=1;i<=m;i++)
 for(int j=i+1;j<=m-1;j++)
  if(b[i]+b[j]<sum && b[j]!=max && b[i]!=max){sum=b[i]+b[j];juri=i;}
}

int main()
{ cin>>n>>m;

 for(int i=1;i<=n;i++)
  for(int j=1;j<=m;j++)
   {cin>>a[i][j];
    if(a[i][j]>max)max=a[i][j];
   }

 int f;
 for(int j=1;i<=m;i++)
  {for(int i=1;i<=n;j++)
   {if(a[i][j]==max)f=1;
    for(int k=1;k<=m;k++)
     b[k]=a[i][k];
   }
   minsum();
  }


 for(i=1;i<=n;i++)
  if(a[i][m/2+1]!=max)f=1;
  else f=0;

 if(f=1)cout<<m/2+1<<endl;
 else cout<<m/2<<endl;

 return 0;
}